View Issue Details

IDProjectCategoryView StatusLast Update
0031320Open CASCADEOCCT:Application Frameworkpublic2020-12-02 17:12
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031320: TObj - method TObj_Object::GetFatherObject() is not protected against deleted object
DescriptionMethod TObj_Object::GetFatherObject() will cause access violation if called for an object that has been removed from the document (i.e. whose method IsAlive() returns false).
Steps To Reproducebugs caf bug31320
TagsNo tags attached.
Test case numberbugs caf bug31320

Activities

git

2020-08-31 18:22

administrator   ~0093774

Branch CR31320 has been created by mpv.

SHA-1: 616b2f125b737b650ea674a29598701b4b9c782d


Detailed log of new commits:

Author: mpv
Date: Mon Aug 31 18:24:59 2020 +0300

    31320: TObj - method TObj_Object::GetFatherObject() is not protected against deleted object

mpv

2020-08-31 21:24

developer   ~0093782

Fixed. Please review.

http://occt-tests/CR31320-master-MPV-OCCT/Windows-64-VC14/diff_summary.html
http://occt-tests/CR31320-master-MPV-Products/Windows-64-VC14/diff_summary.html
http://occt-tests/CR31320-master-MPV-OCCT/Debian80-64/diff_summary.html
http://occt-tests/CR31320-master-MPV-Products/Debian80-64/diff_summary.html

kgv

2020-09-01 11:18

developer   ~0093797

Last edited: 2020-09-01 11:19

+puts "OCC31320"

Could you please add a full bug description to the test? E.g.
+puts "0031320: TObj - method TObj_Object::GetFatherObject() is not protected against deleted object"

   Handle(TObj_Object) aFather, aSon(this);
 
+  if (myLabel.IsNull())
+    return aFather;

tip: maybe it would be better moving this check before creating an unused aSon(this) handle...

git

2020-09-01 11:37

administrator   ~0093799

Branch CR31320 has been updated by mpv.

SHA-1: d20d3a0dd11b3ab79ca026d043d32d45a6b70d31


Detailed log of new commits:

Author: mpv
Date: Tue Sep 1 11:40:14 2020 +0300

    # minor changes due to KGV notes

mpv

2020-09-01 11:38

developer   ~0093800

Done in the same branch CR31320. No re-testing is needed.

git

2020-09-01 12:22

administrator   ~0093806

Branch CR31320 has been updated forcibly by mpv.

SHA-1: 76d74fb9db9248c8d0a586f35cb389c37dc476d7

szy

2020-09-02 11:54

manager   ~0093847

Reviewed.

bugmaster

2020-09-05 12:07

administrator   ~0094054

Combination -
OCCT branch : IR-2020-09-04
master SHA - a516227511f3452f9f55b79c961265b0bf210793
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-04 SHA - 134448d280fb82bfb14ffc6255ac1cb53f7fd1cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17319.18000000012 / 17284.370000000214 [+0.20%]
Products
Total CPU difference: 12059.670000000087 / 12007.590000000067 [+0.43%]
Windows-64-VC14:
OCCT
Total CPU difference: 18776.390625 / 18770.796875 [+0.03%]
Products
Total CPU difference: 13251.640625 / 13222.90625 [+0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-09-05 12:35

administrator   ~0094089

Branch CR31320 has been deleted by inv.

SHA-1: 76d74fb9db9248c8d0a586f35cb389c37dc476d7

Related Changesets

occt: master 17a5b567

2020-08-31 15:24:59

mpv


Committer: bugmaster Details Diff
0031320: TObj - method TObj_Object::GetFatherObject() is not protected against deleted object Affected Issues
0031320
mod - src/QABugs/QABugs_20.cxx Diff File
mod - src/TKQADraw/EXTERNLIB Diff File
mod - src/TObj/TObj_Object.cxx Diff File
add - tests/bugs/caf/bug31320 Diff File

Issue History

Date Modified Username Field Change
2020-01-25 20:38 abv New Issue
2020-01-25 20:38 abv Assigned To => mpv
2020-08-31 18:22 git Note Added: 0093774
2020-08-31 21:24 mpv Note Added: 0093782
2020-08-31 21:24 mpv Assigned To mpv => szy
2020-08-31 21:24 mpv Status new => resolved
2020-08-31 21:24 mpv Steps to Reproduce Updated
2020-09-01 11:18 kgv Note Added: 0093797
2020-09-01 11:19 kgv Note Edited: 0093797
2020-09-01 11:37 git Note Added: 0093799
2020-09-01 11:38 mpv Note Added: 0093800
2020-09-01 12:22 git Note Added: 0093806
2020-09-02 11:54 szy Note Added: 0093847
2020-09-02 11:54 szy Assigned To szy => bugmaster
2020-09-02 11:54 szy Status resolved => reviewed
2020-09-05 12:07 bugmaster Note Added: 0094054
2020-09-05 12:07 bugmaster Status reviewed => tested
2020-09-05 12:18 bugmaster Test case number => bugs caf bug31320
2020-09-05 12:25 bugmaster Changeset attached => occt master 17a5b567
2020-09-05 12:25 bugmaster Status tested => verified
2020-09-05 12:25 bugmaster Resolution open => fixed
2020-09-05 12:35 git Note Added: 0094089
2020-12-02 16:41 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed